<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Aitime Assignment</title>
</head>
<body>
    <script>
function mainFunction(){
    let a =prompt("This is Airtel Service. \n1. Airtime - self. \n2. Airtime - others. \n3. Data. \n4. Transfer")
    

    if(a==1){
        firstFunction();
    }
     if(a==2){
        secondFunction();
    }
     if(a==3){
        thirdFunction();
    }
     if(a==4){
        fourthFunction();
    }
    else{
        mainFunction();
    }
    mainFunction();
    }

    mainFunction();
       


   



function firstFunction(){
c= prompt("1. #50. \n2. #100 \n3. #200 \n4. #500 \n5. #1000 \n6. #1500 \n7. #2000 \n8. #5000 \n9. #10000 ")
if(c==1){
alert("Your account has been credited with #50")
}
if(c==2){
alert("Your account has been credited with #100")
}
if(c==3){
alert("Your account has been credited with #200")
}
if(c==4){
alert("Your account has been credited with #500")
}
if(c==5){
alert("Your account has been credited with #1000")
}
if(c==6){
alert("Your account has been credited with #1500")
}
if(c==7){
alert("Your account has been credited with #2000")
}
if(c==8){
alert("Your account has been credited with #5000")
}
if(c==9){
alert("Your account has been credited with #10000")
}
}

function secondFunction(){
    prompt("Enter third party phone number")
    prompt("Enter amount")
 let f= prompt("Enter Account pin code")
    alert("Processing Request")
    if(f==""){
        alert("Error")
    }
    else{
alert("Transfer was successfull")
    }

}

function thirdFunction(){
    h=prompt("1. Daily Plans \n2. Weekly Plans \n3. Monthly plans \n4. Social Plans")
    if(h==1){
        dailyFunction();
    }
    else if(h==2){
        weeklyFunction();
    }
    else if(h==3){
        monthlyFunction();
    }
    else if(h==4){
        socialFunction();
    }
}
//Data bundle functions
function dailyFunction(){
    j=prompt("1. #50 for 50mb daily \n2. #100 for 100mb daily \n3. #200 for 200 mb daily \n4. #300 for 1GB(Bingle plan) daily")
if(j==1){
alert("You have successfully purchased 50mb for #50 daily")
}
if(j==2){
alert("You have successfully purchased 100mb for #100 daily")
}
if(j==3){
alert("You have successfully purchased 200mb for #200 daily")
}
if(j==4){
alert("You have successfully purchased 1GB for #300 daily")
}
}

function weeklyFunction(){
    k=prompt("1. #500 for 750mb 7dys \n2. #1000 for 1GB 7dys \n3. #1500 for 2GB 7dys \n4. #2000 for 3GB 7dys")
    if(k==1){
alert("You have successfully purchased 750mb for #500 7dys")
    }
    if(k==2){
alert("You have successfully purchased 1GB for #1000 7dys")
    }
    if(k==3){
alert("You have successfully purchased 2GB for #1500 7dys")
    }
    if(k==4){
alert("You have successfully purchased 3GB for #2000 7dys")
    }
} 

function monthlyFunction(){
    k=prompt("1. #500 for 1GB monthly \n2. #1000 for 2.5GB monthly \n3. #2000 for 4GB monthly \n4. #4000 for 8GB monthly")
    if(k==1){
alert("You have successfully purchased 1GB for #500 monthly")
    }
    if(k==2){
alert("You have successfully purchased 2.5GB for #1000 monthly")
    }
    if(k==3){
alert("You have successfully purchased 4GB for #2000 monthly")
    }
    if(k==4){
alert("You have successfully purchased 8GB for #4000 monthly")
    }
} 

function socialFunction(){
    k=prompt("1. #50 for 100MB monthly \n2. #1000 for 2.5GB monthly \n3. #2000 for 4GB monthly \n4. #4000 for 8GB monthly")
    if(k==1){
alert("You have successfully purchased 100mb for #50 daily")
    }
    if(k==2){
alert("You have successfully purchased 300GB for #200 3dys")
    }
    if(k==3){
alert("You have successfully purchased 500mb for #300 7dys")
    }I
    if(k==4){
alert("You have successfully purchased 1GB for #500 7dys")
    }
} 
//End of data bundle functions



function fourthFunction(){
   t= prompt("Third party bank \n1. GTbank \n2. UBA bank \n3. Ecobank \n4. Firstbank \n5. Zenithbank \n6. Trustbank \n7. Diamond bank")
   t= prompt("Enter recipient's account number")
   o= prompt("Enter amount with currency")
   t= prompt("Enter pin")
   if(t==""){
       alert("Error")
   }
   else{
       alert("Transfer Successfull. " + o + " has been deducted from your account")
   }
}


    </script>

</body>
</html>